// ----------------------------------------------------
#ifndef __CVIEWER_H_
#define __CVIEWER_H_
// ----------------------------------------------------
#include "QGLViewer/qglviewer.h"
// ----------------------------------------------------
class CViewer : public QGLViewer
{
  Q_OBJECT

public :

  CViewer(QWidget *parent,const char *name=0);
  void resetDisplay();

protected :

  double m_dXPick,m_dYPick;
  bool   m_bPick;
  double m_dXMouse,m_dYMouse;
  GLuint m_uiTex;

  void preDraw();
  void draw();
  void animate();
  void mouseMoveEvent(QMouseEvent *);
  void mousePressEvent(QMouseEvent *);
  void mouseReleaseEvent(QMouseEvent *);
  void keyPressEvent(QKeyEvent *e);
  void keyReleaseEvent(QKeyEvent *e);
  
  bool getTexCoordsAt(double x,double y,double& u,double& v);


private:
};
// ----------------------------------------------------
#endif
// ----------------------------------------------------
